javax.jms

## Class JMSRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jms.JMSRuntimeException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IllegalStateRuntimeException, InvalidClientIDRuntimeException, InvalidDestinationRuntimeException, InvalidSelectorRuntimeException, JMSSecurityRuntimeException, MessageFormatRuntimeException, MessageNotWriteableRuntimeException, ResourceAllocationRuntimeException, TransactionInProgressRuntimeException, TransactionRolledBackRuntimeException

      public class JMSRuntimeException
      extends RuntimeException

  This is the root class of all unchecked exceptions in the JMS API.

  In additional to the detailMessage and cause fields inherited from `Throwable`, this class also allows a provider-specific errorCode to be set.

  Since:
    JMS 2.0
  Version:
    JMS 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSRuntimeException(String detailMessage)` Constructs a `JMSRuntimeException` with the specified detail message
    `JMSRuntimeException(String detailMessage, String errorCode)` Constructs a `JMSRuntimeException` with the specified detail message and error code.
    `JMSRuntimeException(String detailMessage, String errorCode, Throwable cause)` Constructs a `JMSRuntimeException` with the specified detail message, error code and cause

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorCode()` Returns the vendor-specific error code.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSRuntimeException

          public JMSRuntimeException(String detailMessage,
                             String errorCode)

      Constructs a `JMSRuntimeException` with the specified detail message and error code.
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code

    - #### JMSRuntimeException

          public JMSRuntimeException(String detailMessage)

      Constructs a `JMSRuntimeException` with the specified detail message
      Parameters:
        `detailMessage` - a description of the exception

    - #### JMSRuntimeException

          public JMSRuntimeException(String detailMessage,
                             String errorCode,
                             Throwable cause)

      Constructs a `JMSRuntimeException` with the specified detail message, error code and cause
      Parameters:
        `detailMessage` - a description of the exception
        `errorCode` - a provider-specific error code
        `cause` - the underlying cause of this exception

  - ### Method Detail

    - #### getErrorCode

          public String getErrorCode()

      Returns the vendor-specific error code.
      Returns:
        the provider-specific error code

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.